﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Utility.ModifyRegistry;


namespace InternetVersion
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (comboBox1.Text)
            {
                case "Current":
                    doReg("Current");
                    break;
                case "IE 6":
                    doReg("MSIE 6.0");
                    break;
                case "IE 7":
                    doReg("MSIE 7.0");
                    break;
                case "IE 8":
                    doReg("MSIE 8.0");
                    break;
                case "IE 9":
                    doReg("MSIE 9.0");
                    break;
                case "IE 10":
                    doReg("MSIE 10.0");
                    break;
                case "IE 11":
                    doReg("MSIE 11.0");
                    break;
                default:
                    Console.WriteLine("Default case");
                    break;

            }
        }

        private void doReg(string regValue)
        {
            ModifyRegistry myRegistry = new ModifyRegistry();
            myRegistry.ShowError = true;
            myRegistry.BaseRegistryKey = Microsoft.Win32.Registry.CurrentUser;
            myRegistry.SubKey = "Software\\Policies\\Microsoft\\Windows\\CurrentVersion\\Internet Settings\\User Agent\\";
            if (regValue == "Current")
                myRegistry.DeleteSubKeyTree();
            else
            {
                myRegistry.Write("Version", regValue);
                regValue = myRegistry.Read("Version");
            }
            
            string msgString = "Value is " + regValue;
            MessageBox.Show(msgString, "Oops...", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
        }
    }
}
